Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 05/01/2021 in all areas

  1. I put a block at 0,0 for testing. Note the space as last character tested on command line but should work in a menu, I have always used ^P not Q. ^C^C^Pzoom w 2,2 -2,-2 eattedit 0,0
    2 points
  2. See image. You ae in Isometric view.
    2 points
  3. All members (i.e. anyone with a post count of 10 or greater) now have access to a new theme here at the CADTutor forum. This has been a long-time request, and now it's here! In the footer of every page, eligible members will see a "Theme" link that allows a choice of the default CADTutor theme or the new Dark Mode theme. Simply choose the one you prefer. The forum will remember your choice until you change it. Try it out and let me know what you think
    1 point
  4. I would like to see Plans and Elevations drawn in 6:30 let alone 3:30, the only way is to have like Revit,Architecture or another 3rd party program, still no way 3:30 = a box with a roof. It takes more than 3 minutes just to think about it. My attempt with Cadarc. start Sun May 2, 2021 09:22:08 stop Sun May 2, 2021 09:27:41 The time includes a initial setup of wall sizes etc the windows sizes are entered by the user, the object is full 3d with a whole cut through wall for window. Ps forgot this could be done in LT but very slow as there is no 3d solids a step by step process.
    1 point
  5. Like Rcmcswain a few more hints, using the SSGET function you can select objects and save their entity names, SSGET supports filters, so you can use ssget and a "CIRCLE" filter. once you have a selection set you can loop through them and do something as suggested by Rkmcswain, you can use the REPEAT function. You use ssname to pull an item out of your selection set, note that the 1st item is 0 in the selection not 1. Have a look here ssget Function Reference | Lee Mac Programming (lee-mac.com) a lot of examples. (setq ss (ssget '((0 . "CIRCLE")))) (setq ent (ssname ss x)) I notice a language difference you may need to use the English syntax for objects "CIRCLE" "LINE" "ARC" "TEXT" If you get stuck post what you have done.
    1 point
  6. Watched the video downloaded the PDF sorry but this is garbage. still no idea on the details of this study as there are no details on exactly what was done or how many blocks where counted in the data extraction section, it shows in the PDF a total of 6 blocks, no idea who's idea of a sales pitch this study was, but I'm going to have to call it out as total BS. using full Autocad it takes 16 minutes and in LT nearly 4 hours, get serious I'd find the 16 minutes exagerated even just using LT, have these people never heard of 'ATTEXT' even just the lowly 'LIST' command. OK given that in LT you might have to write a 'data extraction template' to use with ATTEXT whether you have 6 or 6000 blocks makes no real difference, it dosn't take an extra 3.5 hours to create a datalink and place a table back into LT from Excel. The description does state that Excel was used to log the data from LT ???? And in the real world if this was your work load then you have these things set up and ready to go. Using LT 16 minutes to extract attributes would also include a 10 minute coffee break.
    1 point
  7. I have the following code in a command button. It does what I want it to except it is not perfect. It is driving me crazy but that is a short trip for me! I would like the macro to zoom into the specified window and then open the editing dialog box. What it actually does is open the editing dialog box and after I enter a key stroke in one of the text fields it zooms to my window. This is okay but why does it not zoom first? ^C^C^Q(command "zoom" "w" '(-1.0 3.0 0.0) '(9.0 -0.5 0.0))(command "eattedit" (ssget "_C" '(7.0 0.14) '(6.0 1.0)))
    1 point
  8. You should be aware that if you are copying/pasting, or quoting posts, from Dark Mode it can be rendered oddly when viewed in normal mode. We have come across this on another forum running the same Invision forum software version. For example in some cases you can end up with white text which is fine in Dark Mode but which of course can't be seen against the white background of normal mode. So you can look in normal mode and see a quotebox that looks empty - because the quoted text has been rendered as white. It doesn't happen often, but it can happen.
    1 point
  9. Well, Dark Mode isn't compulsory Some people seem to like using Standard Mode during the day and Dark Mode in the evening. The best thing is, now there's a choice.
    1 point
  10. Purely a guess here, you are using a Lisp call. I use LT so I cannot reproduce that, but I do know that when you start a macro using Diesel there are no system changes (things like variables don't update ) until the macro has completed and the Diesel interpreter is closed returning control to the program. You are opening the eattedit within the 'Macro' environment probably with a similar Lisp interpreter or whatever the equivalent is. So nothing updates until the macro has reached the final Lisp bracket and it hangs within the Macro environment until you actually input something.
    1 point
  11. Already solved here. You just need to do it one by one
    1 point
  12. An example also some 3x3 & 4x4 dcl. ;;; Uses DD3X3.DCL for the dialogue definition. The ;;; slide images are in list ai_pts_lst.120 ; ctone is slb library name (tlds) is slide name in library ; use individual slide name if no library (setq ai_pts_lst '("ctone(TLDS)" "ctone(dsdn)" "ctone(trds)" "ctone(dsr)" "ca3blank" "ctone(DSL)" "ctone(blds)" "ctone(dsup)" "ctone(brds)") ) (setq ai_pts_lst2 '("33sq1" "33sq2" "33sq3" "33sq4" "33sq5" "33sq6""33sq7" "33sq8" "33sq9" )) (defun sq_pick () (cond ((= ans "33sq1")(setq ang1 4.7125)(setq ang2 0.0)(tr)) ((= ans "33sq2")(tm)) ((= ans "33sq3")(setq ang1 3.1417)(setq ang2 4.7125)(tr)) ((= ans "33sq4")(tm)) ((= ans "33sq5")(princ "run other clean up")) ((= ans "33sq6")(tm)) ((= ans "33sq7")(setq ang1 1.5708)(setq ang2 0.0)(tr)) ((= ans "33sq8")(tm)) ((= ans "33sq9")(setq ang1 1.5708)(setq ang2 3.1417)(tr)) ) ) ; calculates next slide (defun alan4 () (setq x (+ x 1)) (setq sldname (nth x ai_pts_lst)) ) ; third step ; set up slide libraray (defun ai_ptype_start () (setq x -1) (foreach pts0 ai_pts_lst2 (alan4) (start_image pts0) (slide_image 0 0 (- (dimx_tile pts0) 1) (- (dimy_tile pts0) 1) sldname) (end_image) ) ) ; this is second step (defun ai_ptype_main (/ globals) (ai_ptype_start) ;now check each sq if picked then run alan2 (foreach pd0 ai_pts_lst2 (action_tile pd0 "(done_dialog)(setq ans $key)") ) (start_dialog) ) ; this is first step (if (= w2 nil)(setw2)) (setq app "dd3x3.dcl") (if (= id_3x3 nil) (progn (setq dcl_id (load_dialog app)) (setq id_3x3 dcl_id) ) ) (if (not (new_dialog "dd3x3" id_3x3)) (exit)) (ai_ptype_main) (sq_pick) (setq *error* old_error old_error nil) DD4X3.zip
    1 point
  13. Yup... I found it like RIGHT after I asked this question. That's not a setting I normally use. Whoops <facepalm> Thank you Dana!
    1 point
×
×
  • Create New...